package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.TeacherAttendance;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2021/4/16 0016
 */
public class TeacherIncomeDto extends CourseSchedule {

    private BigDecimal expectIncome;

    private java.math.BigDecimal expectSalary;

    private java.math.BigDecimal subsidy;

    private java.math.BigDecimal actualSalary;

    private TeacherAttendance teacherAttendance;

    private Boolean belongToDaya;

    private long sortNum;

    private List<TeacherSalaryDeductReasonDto> incomes;

    private List<TeacherSalaryDeductReasonDto> deductReasons;

    public long getSortNum() {
        return sortNum;
    }

    public void setSortNum(long sortNum) {
        this.sortNum = sortNum;
    }

    public BigDecimal getExpectIncome() {
        return expectIncome;
    }

    public void setExpectIncome(BigDecimal expectIncome) {
        this.expectIncome = expectIncome;
    }

    public TeacherAttendance getTeacherAttendance() {
        return teacherAttendance;
    }

    public void setTeacherAttendance(TeacherAttendance teacherAttendance) {
        this.teacherAttendance = teacherAttendance;
    }

    public BigDecimal getExpectSalary() {
        return expectSalary;
    }

    public void setExpectSalary(BigDecimal expectSalary) {
        this.expectSalary = expectSalary;
    }

    @Override
    public BigDecimal getSubsidy() {
        return subsidy;
    }

    @Override
    public void setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
    }

    public BigDecimal getActualSalary() {
        return actualSalary;
    }

    public void setActualSalary(BigDecimal actualSalary) {
        this.actualSalary = actualSalary;
    }

    public List<TeacherSalaryDeductReasonDto> getDeductReasons() {
        return deductReasons;
    }

    public void setDeductReasons(List<TeacherSalaryDeductReasonDto> deductReasons) {
        this.deductReasons = deductReasons;
    }

    public Boolean getBelongToDaya() {
        return belongToDaya;
    }

    public void setBelongToDaya(Boolean belongToDaya) {
        this.belongToDaya = belongToDaya;
    }

    public List<TeacherSalaryDeductReasonDto> getIncomes() {
        return incomes;
    }

    public void setIncomes(List<TeacherSalaryDeductReasonDto> incomes) {
        this.incomes = incomes;
    }
}
